.popup {
  position: fixed;
  z-index: 9999;
  top: 0;
  left: 0;
  opacity: 0;
  visibility: hidden;
  transition: all 0.3s;
  height: 100vh;
  width: 100%;
  background-color: rgba($color-black, 0.8);

  &__content {
    @include absCenter;

    display: table;
    overflow: hidden;
    opacity: 0;
    transform: translate(-50%, -50%) scale(0.25);
    transition: all 0.5s 0.2s;
    box-shadow: 0 2rem 4rem, rgba($color-black, 0.2);
    border-radius: 3px;
    width: 75%;
    background-color: $color-white;

    @include respond(tab-port) {
      width: 90%;
    }
  }

  &__left {
    display: table-cell;
    width: 33.333333%;

    @include respond(tab-port) {
      display: inline-block;
      overflow: hidden;
      width: 100%;
      height: 21rem;
    }
  }

  &__right {
    display: table-cell;
    vertical-align: middle;
    width: 66.666667%;
    padding: 3rem 5rem;

    @include respond(tab-port) {
      display: block;
      width: 100%;
      text-align: center;
    }
  }

  &__img {
    display: block;
    vertical-align: middle;
    width: 100%;

    @include respond(tab-port) {
      float: left;
      width: 50%;
    }
  }

  &__text {
    margin-bottom: 4rem;
    column-count: 2;
    column-gap: 4rem;
    column-rule: 1px solid $color-grey-light-2;
    font-size: 1.4rem;
    hyphens: auto;

    @include respond(tab-port) {
      margin-bottom: 2rem;
      column-count: unset;
      text-align: justify;
    }
  }

  &:target {
    opacity: 1;
    visibility: visible;
  }

  &:target &__content {
    opacity: 1;
    transform: translate(-50%, -50%) scale(1);
  }

  &__close {
    &:link,
    &:visited {
      position: absolute;
      top: 2.5rem;
      right: 2.5rem;
      display: inline-block;
      transition: color 0.2s;
      font-size: 3rem;
      line-height: 1;
      text-decoration: none;
      color: $color-grey-dark-1;
    }

    &:hover,
    &:active {
      color: $color-primary;
    }
  }
}
